KDE 4.9 PyKDE API Reference

- KDE's Python API

# ParserError Class Reference

`from PyKDE4.soprano import *`

Inherits: Soprano.Error.Error
Namespace: Soprano.Error

## Detailed Description

\class ParserError error.h Soprano/Error/ParserError

Represents a parser error in %Soprano.

ParserError represents an error during parsing of either a query string (Soprano.Query.Parser.parseQuery()) or an RDF serialization (Soprano.Parser.parseStream()). Error and ParserError can be used together and copied without loosing information.

The following code is perfectly valid and works:

     ParserError pe( 3, 4 );
     Error e = pe;
     ParserError otherPe = e;
     qDebug() << "Parsing failed at line " << otherPe.line() << " and column " << otherPe.column();

Author:
  Sebastian Trueg <trueg@kde.org>

\sa soprano_error_handling

## Methods

| __init__ (self)
| __init__ (self, Soprano.Error.Locator a0, QString message=QString(), int code=Soprano.Error.ErrorParsingFailed)
| __init__ (self, Soprano.Error.Error a0)
Soprano.Error.Locator | locator (self)

## Method Documentation

__init__ | ( |  | self ) |

Create an Error object, representing success, i.e. no error.

__init__ | ( | self, |
|  | Soprano.Error.Locator | a0,
|  | QString | message=QString(),
|  | int | code=Soprano.Error.ErrorParsingFailed
| ) |  |  |

__init__ | ( | self, |
|  | Soprano.Error.Error | a0
| ) |  |  |

Create an Error object, representing success, i.e. no error.

Soprano.Error.Locator locator | ( |  | self ) |